# Set-RASLetsEncryptSettings.md

## NAME

Set-RASLetsEncryptSettings

## SYNOPSIS

Modifies the Let's Encrypt settings.

## SYNTAX

\*\*Set-RASLetsEncryptSettings \[[AutoRenewCertBeforeExpirationDays](#autorenewcertbeforeexpirationdays-string) *(uint)*] \[-[ExpirationEmails](#ExpirationEmails) *(string\[])*] \[[Replicate](#replicate-string) *(bool)*] \[[SiteId](#siteid-string) *(uint)*] \[[TermsAccepted](#termsaccepted-string) *(bool)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Modifies the Let's Encrypt settings using the specified parameters and their values.

All parameters are optional.

## PARAMETERS

## SiteId (uint)

Site ID in which to modify the specified Let's Encrypt settings.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## TermsAccepted (bool)

Whether Let's Encrypt Terms are accepted.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ExpirationEmails (string\[])

The list of email addresses where expiration emails will be sent.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## AutoRenewCertBeforeExpirationDays (uint)

The amount of days before expiration for automatic renewal to take place. Accepted values: 1-60 days; 0 for 'Never'.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Replicate (bool)

\>Whether Replicate is enabled.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Set-RASLetsEncryptSettings -SiteID 1 -TermsAccepted $true

Modifies the Let's Encrypt terms accepted to true.

## RELATED LINKS

* [Get-RASLetsEncryptSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasletsencryptsettings.md)
* [Get-RASLetsEncryptEULA](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasletsencrypteula.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasletsencryptsettings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
